# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: RecurrentNeuralNetwork.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='RecurrentNeuralNetwork.proto',
  package='rnn',
  syntax='proto3',
  serialized_pb=_b('\n\x1cRecurrentNeuralNetwork.proto\x12\x03rnn\"\xbb\x03\n\x16RecurrentNeuralNetwork\x12\x0f\n\x07out_dim\x18\x01 \x01(\r\x12\x0f\n\x07h_units\x18\x02 \x01(\r\x12\x0e\n\x06in_dim\x18\x03 \x01(\r\x12\x12\n\nbatch_size\x18\x04 \x01(\r\x12,\n\x01U\x18\x05 \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01W\x18\x06 \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01V\x18\x07 \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01S\x18\x08 \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01O\x18\t \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01\x41\x18\n \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x12,\n\x01\x42\x18\x0b \x03(\x0b\x32!.rnn.RecurrentNeuralNetwork.array\x1a\x19\n\x05\x61rray\x12\x10\n\x04\x64\x61ta\x18\x01 \x03(\x01\x42\x02\x10\x01\x62\x06proto3')
)
_sym_db.RegisterFileDescriptor(DESCRIPTOR)




_RECURRENTNEURALNETWORK_ARRAY = _descriptor.Descriptor(
  name='array',
  full_name='rnn.RecurrentNeuralNetwork.array',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='data', full_name='rnn.RecurrentNeuralNetwork.array.data', index=0,
      number=1, type=1, cpp_type=5, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=_descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\020\001'))),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=456,
  serialized_end=481,
)

_RECURRENTNEURALNETWORK = _descriptor.Descriptor(
  name='RecurrentNeuralNetwork',
  full_name='rnn.RecurrentNeuralNetwork',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='out_dim', full_name='rnn.RecurrentNeuralNetwork.out_dim', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='h_units', full_name='rnn.RecurrentNeuralNetwork.h_units', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='in_dim', full_name='rnn.RecurrentNeuralNetwork.in_dim', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='batch_size', full_name='rnn.RecurrentNeuralNetwork.batch_size', index=3,
      number=4, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='U', full_name='rnn.RecurrentNeuralNetwork.U', index=4,
      number=5, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='W', full_name='rnn.RecurrentNeuralNetwork.W', index=5,
      number=6, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='V', full_name='rnn.RecurrentNeuralNetwork.V', index=6,
      number=7, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='S', full_name='rnn.RecurrentNeuralNetwork.S', index=7,
      number=8, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='O', full_name='rnn.RecurrentNeuralNetwork.O', index=8,
      number=9, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='A', full_name='rnn.RecurrentNeuralNetwork.A', index=9,
      number=10, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='B', full_name='rnn.RecurrentNeuralNetwork.B', index=10,
      number=11, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[_RECURRENTNEURALNETWORK_ARRAY, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=38,
  serialized_end=481,
)

_RECURRENTNEURALNETWORK_ARRAY.containing_type = _RECURRENTNEURALNETWORK
_RECURRENTNEURALNETWORK.fields_by_name['U'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['W'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['V'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['S'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['O'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['A'].message_type = _RECURRENTNEURALNETWORK_ARRAY
_RECURRENTNEURALNETWORK.fields_by_name['B'].message_type = _RECURRENTNEURALNETWORK_ARRAY
DESCRIPTOR.message_types_by_name['RecurrentNeuralNetwork'] = _RECURRENTNEURALNETWORK

RecurrentNeuralNetwork = _reflection.GeneratedProtocolMessageType('RecurrentNeuralNetwork', (_message.Message,), dict(

  array = _reflection.GeneratedProtocolMessageType('array', (_message.Message,), dict(
    DESCRIPTOR = _RECURRENTNEURALNETWORK_ARRAY,
    __module__ = 'RecurrentNeuralNetwork_pb2'
    # @@protoc_insertion_point(class_scope:rnn.RecurrentNeuralNetwork.array)
    ))
  ,
  DESCRIPTOR = _RECURRENTNEURALNETWORK,
  __module__ = 'RecurrentNeuralNetwork_pb2'
  # @@protoc_insertion_point(class_scope:rnn.RecurrentNeuralNetwork)
  ))
_sym_db.RegisterMessage(RecurrentNeuralNetwork)
_sym_db.RegisterMessage(RecurrentNeuralNetwork.array)


_RECURRENTNEURALNETWORK_ARRAY.fields_by_name['data'].has_options = True
_RECURRENTNEURALNETWORK_ARRAY.fields_by_name['data']._options = _descriptor._ParseOptions(descriptor_pb2.FieldOptions(), _b('\020\001'))
# @@protoc_insertion_point(module_scope)
